%define oname webrobots

Name:       ruby-%{oname}
Version:    0.1.2
Release:    %mkrel 5
Summary:    A Ruby library to help write robots.txt compliant web robots
License:    2-clause BSDL
Group:      Development/Ruby
URL:        http://www.mindflowsolutions.net/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch: noarch

%description
This library helps write robots.txt compliant web robots in Ruby.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/Gemfile
%{gem_instdir}/LICENSE.txt
%{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_spec}
%exclude %{gem_instdir}/.document
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.2-5.mga10
+ Revision: 2211155
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.1.2-4.mga9
+ Revision: 1826225
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.2-3.mga8
+ Revision: 1508032
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.1.2-2.mga7
+ Revision: 1291442
- Mageia 7 Mass Rebuild

* Sun Aug 20 2017 pterjan <pterjan> 0.1.2-1.mga7
+ Revision: 1142246
- Update to 0.1.2

* Mon Oct 31 2016 pterjan <pterjan> 0.1.1-5.mga6
+ Revision: 1064374
- Fix file list

* Wed Feb 17 2016 umeabot <umeabot> 0.1.1-4.mga6
+ Revision: 963982
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 747421
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 688998
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 pterjan <pterjan> 0.1.1-1.mga5
+ Revision: 641942
- 0.1.1

* Sat Dec 28 2013 pterjan <pterjan> 0.0.13-6.mga4
+ Revision: 562614
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.0.13-5.mga4
+ Revision: 536221
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 fwang <fwang> 0.0.13-4.mga4
+ Revision: 483751
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.0.13-3.mga3
+ Revision: 396604
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.0.13-2.mga3
+ Revision: 381625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.0.13-1.mga3
+ Revision: 313330
- imported package ruby-webrobots

